# gdcm::Command Class Reference

superclass for callback/observer methods More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::Command:
[legend]
Collaboration diagram for gdcm::Command:
[legend]

List of all members.

## Public Member Functions
virtual void | Execute (const Subject *caller, const Event &event)=0
virtual void | Execute (Subject *caller, const Event &event)=0
| Abstract method that defines the action to be taken by the command.
## Protected Member Functions
| Command ()
| ~Command ()

## Detailed Description

superclass for callback/observer methods

## Constructor & Destructor Documentation

gdcm::Command::Command | ( |  | ) | `[protected]`

gdcm::Command::~Command | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void gdcm::Command::Execute | ( | const Subject * | caller,
|  | const Event & | event |
| ) |  |  | `[pure virtual]`

Abstract method that defines the action to be taken by the command. This variant is expected to be used when requests comes from a const Object

Implemented in gdcm::MemberCommand< T >, and gdcm::SimpleMemberCommand< T >.

virtual void gdcm::Command::Execute | ( | Subject * | caller,
|  | const Event & | event |
| ) |  |  | `[pure virtual]`

Abstract method that defines the action to be taken by the command.

Implemented in gdcm::MemberCommand< T >, and gdcm::SimpleMemberCommand< T >.

The documentation for this class was generated from the following file:

- gdcmCommand.h